{% load static %}

{#<!-- AlpineJs -->#}
{#<script src="https://cdn.jsdelivr.net/gh/alpinejs/alpine@v2.x.x/dist/alpine.min.js" defer></script>#}
{#<script src="{% static 'js/init-alpine.js' %}"></script>#}

<!-- Bootstrap 5 -->
{# FIXME: add license #}
<script src="{% static 'common/js/bootstrap.js' %}"></script>

{# HTMX #}
<script src="{% static 'common/js/htmx/htmx.min.js' %}"/>
<script src="{% static 'common/js/htmx/ext/ws.js' %}"></script>

{#<script#}
{#    src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js"#}
{#    integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0"#}
{#    crossorigin="anonymous"></script>#}

<!-- additional libs -->
{# FIXME: add  license #}
{#<script src="https://cdn.jsdelivr.net/npm/chart.js@2.9.4/dist/Chart.min.js"#}
{#        integrity="sha384-zNy6FEbO50N+Cg5wap8IKA4M/ZnLJgzc6w2NqACZaK0u0FXfOWRRJOnQtpZun8ha"#}
{#        crossorigin="anonymous"></script>#}
{#<script src="{% static 'js/dashboard.js' %}"></script>#}

<script type="text/javascript" src="{% static 'core/js/core.js' %}"></script>
<script>
  {#if ('serviceWorker' in navigator) {#}
  {#  navigator.serviceWorker.register('{% static "common/js/service-worker.js" %}')#}
  {#      .then(function (reg) {#}
  {#        console.log("Service worker registered.")#}
  {#      })#}
  {#      .catch(function (err) {#}
  {#        console.log("Error registering service worker:", err)#}
  {#      })#}
  {#}#}
</script>

<!-- collect all plugin's globally targeted javascripts -->
{% for js_url in global_javascripts %}
  <script src="{% static js_url.file %}"></script>
{% endfor %}

